[Pkg-xen-changes] r228 - in trunk/xen-common: .

Bastian Blank waldi at costa.debian.org
Sun Aug 20 20:31:12 UTC 2006


Author: waldi
Date: Sun Aug 20 20:31:11 2006
New Revision: 228

Added:
   trunk/xen-common/
   trunk/xen-common/debian/
   trunk/xen-common/debian/xen-utils-common.postinst
   trunk/xen-common/debian/xen-utils-common.postrm

Log:
xen-common: Add.


Added: trunk/xen-common/debian/xen-utils-common.postinst
==============================================================================
--- (empty file)
+++ trunk/xen-common/debian/xen-utils-common.postinst	Sun Aug 20 20:31:11 2006
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+configure)
+	# Set up udev rules symlink
+	L="/etc/udev/rules.d/z60_xen-backend.rules"
+	[ ! -z "$2" ] || [ -e "$L" ] || [ -L "$L" ] || ln -s ../xen-backend.rules "$L"
+
+	XENSTORED_DIR="/var/lib/xenstored"
+	[ ! -d "${XENSTORED_DIR}" ] && install -d -m 0700 "${XENSTORED_DIR}" 
+
+	;;
+
+abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+*)
+	echo "postinst called with unknown argument \`$1'" >&2
+	exit 1
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0

Added: trunk/xen-common/debian/xen-utils-common.postrm
==============================================================================
--- (empty file)
+++ trunk/xen-common/debian/xen-utils-common.postrm	Sun Aug 20 20:31:11 2006
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+purge)
+	# Remove udev rules symlink
+	L="/etc/udev/rules.d/z60_xen-backend.rules"
+	[ -L "$L" ] && rm "$L"
+
+	XENSTORED_DIR="/var/lib/xenstored"
+	[ -d "${XENSTORED_DIR}" ] && rm -r "${XENSTORED_DIR}"
+	;;
+
+remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	;;
+
+*)
+	echo "postrm called with unknown argument \`$1'" >&2
+	exit 
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0



More information about the Pkg-xen-changes mailing list